<?php

declare(strict_types=1);

use FiloBlu\Refilo\Helper\Catalog\ProductHelper;
use FiloBlu\Refilo\Remote\Entity\MagentoToRefiloProductAdapter;
use Magento\Framework\App\Bootstrap;

require __DIR__ . '/../../../../../app/bootstrap.php';
$params = $_SERVER;
$bootstrap = Bootstrap::create(BP, $params);
$objectManager = $bootstrap->getObjectManager();

/** @var ProductHelper $productHelper */
$productHelper = $objectManager->get(ProductHelper::class);
$productRepository = $objectManager->get(\Magento\Catalog\Api\ProductRepositoryInterface::class);

$product = $productRepository->getById(17654);

/** @var MagentoToRefiloProductAdapter $magentoToRefiloProductAdapter */
$magentoToRefiloProductAdapter = $objectManager->get(MagentoToRefiloProductAdapter::class);

$usedAttributes = $productHelper->getUsedProductAttributes($product);
$productAttributeHelper = $productHelper->getProductAttributeHelper();
$extraAttribute = $productAttributeHelper->getFilterableAttributesCode($product);


$usedProducts = $productHelper->getUsedProducts($product, $usedAttributes, $extraAttribute);

echo 'done';
